---

k8s_prometheus_helm__name: "prometheus"

k8s_externaldns_helm__chart_ref: external-dns
k8s_externaldns_helm__chart_repo_url: https://kubernetes-sigs.github.io/external-dns/
k8s_externaldns_helm__release_namespace: external-dns

k8s_externaldns_helm__release_values:
  provider: digitalocean
  env:
    - name: DO_TOKEN
      valueFrom:
        secretKeyRef:
          name: "digitalocean-dns"
          key: access-token
  interval: "1m"
  policy: sync
  sources:
    - ingress
  domainFilters: [
    'smardigo.digital'
  ]
  txtOwnerId: "{{ stage }}-external-dns"
  txtPrefix: "{{ stage }}"
  serviceMonitor:
    enabled: true
    additionalLabels:
      release: "{{ k8s_prometheus_helm__name }}"
